View Issue Details

IDProjectCategoryView StatusLast Update
0001089SOGoWeb Calendarpublic2011-01-21 18:26
Reporterwimmer Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.3.5Fixed in Version1.3.5 
Summary0001089: Display of all-day events
Description

When I use mtn version from Jan-12, there is not this problem.
In the current mtn version from Jan-19 I see following trouble:

  • for simplification - I have webcalendar with 1 correct all-day event only (it is in attachment). This event has yearly repeating.
  • in the Month View and Week View it is displayed as 2 days event (bug)
  • in the Day view it is not displayed - it is hidden (bug)
    I see the same trouble when I import this event as ICS file.
TagsNo tags attached.

Activities

2011-01-19 15:58

 

z.ics (625 bytes)   
BEGIN:VCALENDAR
VERSION:2.0
X-WR-CALNAME:TEST W
PRODID:-//Apple Computer\, Inc//iCal 2.0//EN
X-WR-RELCALID:35822C46-BD08-4FC8-9C8D-AB198D0382B0
X-WR-TIMEZONE:Europe/Prague
CALSCALE:GREGORIAN
METHOD:PUBLISH
BEGIN:VEVENT
CLASS:PUBLIC
DTSTAMP:20070527T152908Z
EXDATE;VALUE=DATE:20021228
UID:2BD332C7-42D4-4ABA-817F-1E5B3238EE24
LAST-MODIFIED:20100319T100555Z
X-MOZILLA-RECUR-DEFAULT-UNITS:years
SEQUENCE:3
URL;VALUE=URI:http://www.netmania.cz
STATUS:TENTATIVE
CATEGORIES:Státní svátek
SUMMARY:Test ABCDEF
DTSTART;VALUE=DATE:20021228
DTEND;VALUE=DATE:20021229
RRULE:FREQ=YEARLY;INTERVAL=1;BYMONTH=12
END:VEVENT
END:VCALENDAR

z.ics (625 bytes)   
francis

francis

2011-01-21 18:26

administrator   ~0002039

Fixed in revision 7644c155b02b86d417852ac59361714181ec8c18.

Thanks Milos!

Issue History

Date Modified Username Field Change
2011-01-19 15:58 wimmer New Issue
2011-01-19 15:58 wimmer File Added: z.ics
2011-01-20 14:58 francis Status new => assigned
2011-01-20 14:58 francis Assigned To => francis
2011-01-20 14:59 francis Target Version => 1.3.5
2011-01-21 18:26 francis Note Added: 0002039
2011-01-21 18:26 francis Status assigned => resolved
2011-01-21 18:26 francis Fixed in Version => 1.3.5
2011-01-21 18:26 francis Resolution open => fixed